## GdauiDataFilter

GdauiDataFilter — Entrer rules to filter the rows in a GdauiDataProxy

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_data_filter_new ()

## Types and Values

struct | GdauiDataFilter

## Object Hierarchy

## Description

The GdauiDataFilter widget can be used as a standalone widget, but is also used internally by the GdauiDataProxyInfo widget for its search option.

## Functions

### gdaui_data_filter_new ()

    GtkWidget *
    gdaui_data_filter_new (GdauiDataProxy *data_widget);

Creates a new GdauiDataFilter widget suitable to change the filter expression for `data_widget` 's displayed rows

#### Parameters

data_widget | a widget implementing the GdauiDataProxy interface |

#### Returns

the new widget.

[transfer full]

Since 4.2

## Types and Values

### struct GdauiDataFilter

    struct GdauiDataFilter {
    	GtkBox                      object;

    	GdauiDataFilterPriv *priv;
    };